Loading...
Searching...
No Matches
globus_error_openssl.h File Reference

Globus Generic Error. More...

`#include "globus_common.h"`
`#include "globus_error_generic.h"`
`#include "openssl/err.h"`

Go to the source code of this file.

## Macros

#define | GLOBUS_GSI_OPENSSL_ERROR_MODULE
#define | GLOBUS_ERROR_TYPE_OPENSSL

## Functions

unsigned long | globus_openssl_error_handle_get_error_code (globus_openssl_error_handle_t error_code)
const char * | globus_openssl_error_handle_get_filename (globus_openssl_error_handle_t handle)
int | globus_openssl_error_handle_get_linenumber (globus_openssl_error_handle_t handle)
const char * | globus_openssl_error_handle_get_library (globus_openssl_error_handle_t handle)
const char * | globus_openssl_error_handle_get_function (globus_openssl_error_handle_t handle)
const char * | globus_openssl_error_handle_get_reason (globus_openssl_error_handle_t handle)
const char * | globus_openssl_error_handle_get_data (globus_openssl_error_handle_t handle)
int | globus_openssl_error_handle_get_data_flags (globus_openssl_error_handle_t handle)
globus_object_t * | globus_error_construct_openssl_error (globus_module_descriptor_t *base_source, globus_object_t *base_cause)
globus_object_t * | globus_error_initialize_openssl_error (globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, globus_openssl_error_handle_t openssl_error_handle)
globus_object_t * | globus_error_wrap_openssl_error (globus_module_descriptor_t *base_source, int error_type, const char *source_file, const char *source_func, int source_line, const char *format,...)
globus_bool_t | globus_error_match_openssl_error (globus_object_t *error, unsigned long library, unsigned long function, unsigned long reason)
const char * | globus_error_openssl_error_get_filename (globus_object_t *error)
int | globus_error_openssl_error_get_linenumber (globus_object_t *error)
const char * | globus_error_openssl_error_get_library (globus_object_t *error)
const char * | globus_error_openssl_error_get_function (globus_object_t *error)
const char * | globus_error_openssl_error_get_reason (globus_object_t *error)
const char * | globus_error_openssl_error_get_data (globus_object_t *error)
int | globus_error_openssl_error_get_data_flags (globus_object_t *error)

## Detailed Description

Globus Generic Error.

## Function Documentation

## globus_error_openssl_error_get_data()

const char * globus_error_openssl_error_get_data | ( | globus_object_t * | error | ) |

Get the OpenSSL Error Data

Parameters

  error | The globus object that represents the error

Returns
  The error data for the OpenSSL error

## globus_error_openssl_error_get_data_flags()

int globus_error_openssl_error_get_data_flags | ( | globus_object_t * | error | ) |

Get the OpenSSL Error Data Flags

Parameters

  error | The globus object that represents the error

Returns
  The error data flags for the OpenSSL error

## globus_error_openssl_error_get_filename()

const char * globus_error_openssl_error_get_filename | ( | globus_object_t * | error | ) |

Get the OpenSSL filename where the error occurred

Parameters

  error | The globus object that represents the error

Returns
  The filename where the OpenSSL error occurred

## globus_error_openssl_error_get_function()

const char * globus_error_openssl_error_get_function | ( | globus_object_t * | error | ) |

Get the OpenSSL filename where the error occurred

Parameters

  error | The globus object that represents the error

Returns
  The function name where the OpenSSL error occurred

## globus_error_openssl_error_get_library()

const char * globus_error_openssl_error_get_library | ( | globus_object_t * | error | ) |

Get the OpenSSL library the error occurred in

Parameters

  error | The globus object that represents the error

Returns
  The library name where the OpenSSL error occurred

## globus_error_openssl_error_get_linenumber()

int globus_error_openssl_error_get_linenumber | ( | globus_object_t * | error | ) |

Get the OpenSSL line number where the error occurred

Parameters

  error | The globus object that represents the error

Returns
  The line number where the OpenSSL error occurred

## globus_error_openssl_error_get_reason()

const char * globus_error_openssl_error_get_reason | ( | globus_object_t * | error | ) |

Get the OpenSSL reason for the error

Parameters

  error | The globus object that represents the error

Returns
  The reason for the OpenSSL error